import { Component, OnInit } from '@angular/core';
import { UserService } from './services/user.service';
import { SidebarComponent } from '../app/sidebar/sidebar.component';
import { NavbarComponent } from '../app/navbar/navbar.component';


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'] 
})
export class AppComponent {
  title = 'Bildung DB';
  loginbtn:boolean;
  logoutbtn:boolean;

  constructor(private userService: UserService) {
    userService.getLoggedInName.subscribe(name => this.changeName(name));
    if(this.userService.isLoggedIn())
    {
      console.log("loggedin");
      this.loginbtn=false;
      this.logoutbtn=true
    }
    else{
     this.loginbtn=true;
     this.logoutbtn=false
    }
 
 
}
private changeName(name: boolean): void {
  this.logoutbtn = name;
  this.loginbtn = !name;
}
  logout()
  {
    this.userService.deleteToken();
    window.location.href = window.location.href;
  }
}
