import { NavbarComponent } from './navbar/navbar.component';
import { SidebarComponent } from './sidebar/sidebar.component';
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { GruppenSucheComponent } from './gruppen-suche/gruppen-suche.component';
import { HttpClientModule } from '@angular/common/http';
import { BerufComponent } from './beruf/beruf.component';
import { KompetenzComponent } from './kompetenz/kompetenz.component';
import { PruefungComponent } from './pruefung/pruefung.component';
import { ModulComponent } from './modul/modul.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { NotfoundComponent } from './notfound/notfound.component';
import { AboutComponent } from './about/about.component';
import { RouterModule } from '@angular/router';
import { APP_ROUTES } from './app.routes';
import { ListLehrlingeComponent } from './list-lehrlinge/list-lehrlinge.component';
import { EditLehrlingeComponent } from './edit-lehrlinge/edit-lehrlinge.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ProfessionComponent } from './profession/profession.component';
import { EditProfessionComponent } from './edit-profession/edit-profession.component';
import { EditKompetenzComponent } from './edit-kompetenz/edit-kompetenz.component';
import { MatIconModule } from '@angular/material/icon';
import { MatButtonModule } from '@angular/material/button';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { FormsModule, ReactiveFormsModule  } from '@angular/forms';
import { Lehrling2berufComponent } from './lehrling2beruf/lehrling2beruf.component';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatTableModule } from "@angular/material/table";
import { DragDropModule } from '@angular/cdk/drag-drop';
import { AusbildungComponent } from './ausbildung/ausbildung.component';
import { MatSelect } from '@angular/material/select';
import { MatTableDataSource } from '@angular/material/table';
import { AngularMaterialModule } from '../app/angular-material/angular-material.module';
import { DashComponent } from './dash/dash.component';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { LoginComponent } from './login/login.component'
import {MatCardModule} from '@angular/material/card';
import { PrergebnisComponent } from './prergebnis/prergebnis.component'; 
import { MatOption } from '@angular/material/core';
import { MatSelectModule } from '@angular/material/select';
import { PruefungsergebnisComponent } from './pruefungsergebnis/pruefungsergebnis.component';
import { MatDatepickerModule } from '@angular/material/datepicker';

@NgModule({
   imports: [
      HttpClientModule,
      BrowserModule,
      RouterModule.forRoot(APP_ROUTES),
      BrowserAnimationsModule,
      AngularMaterialModule,
      MatIconModule,
      MatButtonModule,
      MatInputModule,
      MatFormFieldModule,
      MatCheckboxModule,
      FormsModule,
      ReactiveFormsModule,
      MatPaginatorModule,
      MatProgressSpinnerModule,
      MatSortModule,
      MatTableModule,
      DragDropModule,
      NgbModule,
      MatCardModule,
      MatSelectModule,
      MatDatepickerModule
   ],
   declarations: [
      AppComponent,
      SidebarComponent,
      NavbarComponent,
      GruppenSucheComponent,
      BerufComponent,
      KompetenzComponent,
      PruefungComponent,
      ModulComponent,
      DashboardComponent,
      NotfoundComponent,
      AboutComponent,
      ListLehrlingeComponent,
      EditLehrlingeComponent,
      ProfessionComponent,
      EditProfessionComponent,
      EditKompetenzComponent,
      Lehrling2berufComponent,
      AusbildungComponent,
      DashComponent,
      LoginComponent,
      PrergebnisComponent,
      PruefungsergebnisComponent
   ],
   providers: [],
   bootstrap: [
      AppComponent
   ]
})
export class AppModule { }
