import { Routes } from "@angular/router";
import { DashboardComponent } from "./dashboard/dashboard.component";
import { BerufComponent } from "./beruf/beruf.component";
import { KompetenzComponent } from "./kompetenz/kompetenz.component";
import { PruefungComponent } from "./pruefung/pruefung.component";
import { ModulComponent } from "./modul/modul.component";
import { GruppenSucheComponent } from "./gruppen-suche/gruppen-suche.component";
import { NotfoundComponent } from "./notfound/notfound.component";
import { AboutComponent } from "./about/about.component";
import { ListLehrlingeComponent } from "./list-lehrlinge/list-lehrlinge.component";
import { EditKompetenzComponent } from "./edit-kompetenz/edit-kompetenz.component";
import { EditLehrlingeComponent } from "./edit-lehrlinge/edit-lehrlinge.component";
import { Lehrling2berufComponent } from "./lehrling2beruf/lehrling2beruf.component";
import { DashComponent } from "./dash/dash.component";
import { LoginComponent } from "./login/login.component";
import { PrergebnisComponent } from "./prergebnis/prergebnis.component";

export const APP_ROUTES: Routes = [
    {
        // Standardroute: Umleitung auf '/dashboard'
        path: '',
        redirectTo: 'login',
        pathMatch: 'full'
    },
    {
        path: 'login',
        component: LoginComponent
    },
    {
        path: 'dashboard',
        component: DashboardComponent
    }, 
    {
        path: 'dash',
        component: DashComponent
    },  
    {
        path: 'list-lehrling',
        component: ListLehrlingeComponent
    },
    {
        path: 'editLehrling/:id',
        component: EditLehrlingeComponent
    },
    {
        path: 'kompetenz',
        component: KompetenzComponent
    },    
    {
        path: 'editkompetenz/:id',
        component: EditKompetenzComponent
    }, 
    {
        path: 'pruefung',
        component: PruefungComponent
    },
    {
        path: 'pruefungergebnis',
        component: PrergebnisComponent
    },
    {
        path: 'modul',
        component: ModulComponent
    },
    {
        path: 'beruf',
        component: BerufComponent
    },
    {
        path: 'l2b',
        component: Lehrling2berufComponent
    },
    {
        path: 'about',
        component: AboutComponent
    },
    {
        path: '**',
        component: NotfoundComponent
    }
];