import { Component, OnInit } from '@angular/core';
import { Lehrling } from '../lehrling';
import { LehrlingService } from '../services/lehrling.service';
import { Kompetenz } from '../kompetenz';
import { KompetenzService } from '../services/kompetenz.service';
import { Pruefung } from '../Pruefung';
import { PruefungService } from '../services/pruefung.service';
import { Observable } from 'rxjs';

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.css']
})
export class DashboardComponent implements OnInit {

  public lehrlinge: any;
  public kompetenzen: any;
  public pruefungen: any;
  selectedLehrling: Lehrling | null = null;


  constructor(private Lehrlinge: LehrlingService, private Kompetenz: KompetenzService, private Pruefung: PruefungService) { }

  ngOnInit(): void {
    this.Lehrlinge.getLehrlinge().subscribe(
      (
        data: any) => {
        console.log(data);
        this.lehrlinge = data.apprentice;
    })

    this.Kompetenz.getKompetenzen().subscribe (
      (
        result: any) => {
        this.kompetenzen = result;
      })

      this.Pruefung.getPruefungen().subscribe (
        (
          result: any) => {
          console.log(result);
          this.pruefungen = result.exam;
        })
  }

  select(l: Lehrling): void {
    this.selectedLehrling = l;
}
}
