import {HttpClient, HttpHeaders, HttpParams} from '@angular/common/http';
import { Component, OnInit } from '@angular/core';
import { Gruppe } from '../gruppen';

@Component({
  selector: 'app-gruppen-suche',
  templateUrl: './gruppen-suche.component.html',
  styleUrls: ['./gruppen-suche.component.css']
})
export class GruppenSucheComponent implements OnInit {

  groupname = 'Gruppe Q';
  gruppen:Array<Gruppe> = [];
  selectedGruppe:Gruppe | null = null;

  constructor(private http:HttpClient) {   
  }

  ngOnInit(): void {
  }

  search():void {
    const url='http://localhost/bildungdb/api/group_data.php';

    const headers=new HttpHeaders().set('Accept', 'application/json');
    const params=new HttpParams().set('groupname',this.groupname);
  
    this.http.get<Gruppe[]>(url,{headers,params}).subscribe({
      next: (gruppen) => {
        this.gruppen = gruppen;
      },
      error:(err)=>{ 
        console.error('Error', err); 
      }
    });
  }
  
  select(g: Gruppe):void {
    this.selectedGruppe=g;
  }
}
