import { AfterViewInit, Component, OnInit, ViewChild } from '@angular/core';
import { PruefungService } from '../services/pruefung.service';
import { Pruefung } from '../Pruefung';
import { MatTableDataSource } from '@angular/material/table';
import { MatInputModule } from '@angular/material/input';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatPaginator } from '@angular/material/paginator'
import { MatSort, Sort } from '@angular/material/sort';
import {LiveAnnouncer} from '@angular/cdk/a11y';
import { SelectionModel } from '@angular/cdk/collections';

@Component({
  selector: 'app-pruefung',
  templateUrl: './pruefung.component.html',
  styleUrls: ['./pruefung.component.css']
})

export class PruefungComponent implements OnInit {

  constructor(private Pruefung: PruefungService, private _liveAnnouncer: LiveAnnouncer) { }

   public dataSource: any;
   public pruefungen: any;  
   public selection: any;
   displayedColumns: any = ["examid", "examshort", "examname", "examdescription"];
   

  ngOnInit(): void {
    
    this.Pruefung.getPruefungen().subscribe(
      (
        data: any) => {
      //  console.log(data);
        this.pruefungen = data.exam;
        this.dataSource = new MatTableDataSource(this.pruefungen);
        this.dataSource.paginator = this.paginator;
        this.dataSource.sort = this.sort;
    })
  }
  @ViewChild('paginator') paginator: MatPaginator;
  @ViewChild(MatSort) sort: MatSort;

  ngAfterViewInit() {
    if(this.dataSource != undefined) {
      this.dataSource.paginator = this.paginator;
      this.dataSource.sort = this.sort;
      console.log(this.dataSource);
    }
    else
      console.log("DataSource undefined in AfterViewInit");

  }

  applyFilter(event: Event) {
    const filterValue = (event.target as HTMLInputElement).value;
    this.dataSource.filter = filterValue.trim().toLowerCase();
    console.log("Filter: " + this.dataSource.filter);
  }

  /** Announce the change in sort state for assistive technology. */
  announceSortChange(sortState: Sort) {
    // This example uses English messages. If your application supports
    // multiple language, you would internationalize these strings.
    // Furthermore, you can customize the message to add additional
    // details about the values being sorted.
    if (sortState.direction) {
      this._liveAnnouncer.announce(`Sorted ${sortState.direction}ending`);
    } else {
      this._liveAnnouncer.announce('Sorting cleared');
    }
  }
}
